Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 599270 - RPM should support "rpm -Uvh *.rpm" skipping files that are already installed
RPM should support "rpm -Uvh *.rpm" skipping files that are already installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 21:20 EDT by Syam
Modified: 2012-08-07 15:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:39:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Syam 2010-06-02 21:20:48 EDT
If I have a number of RPM files and I want to install them all, I do: "rpm -Uvh *.rpm" (the -i command will not work if older version of any package is already installed).

But if any of these RPM files are already installed, the above command will fail listing those files as already installed.
IMHO, RPM should skip those already-installed files and continue with installing the remaining files, instead of doing nothing.
Comment 1 Jeff Johnson 2010-06-05 08:53:59 EDT
See the --freshen option.

Note that using -i does not erase older versions of packages. In
almost all cases (kernel packages are the notable exception)
-U,--upgrade should be used. The behavior of -U is identical
to -i when there is no older version of a package already installed.
Comment 2 Syam 2010-06-05 11:38:27 EDT
Thanks. But the --freshen (equivalent to -F) is an alternative to -U, isn't it? It's not an option to -U.
I case I mentioned requires a 'skip existing' (i.e. 'upgrade older' & 'install new') option to -U.
Comment 3 Syam 2010-06-05 11:52:34 EDT
Reading the documentation, I figure "-U --replacepkgs *.rpm" will install all packages, even the ones that are already installed.
The only difference between the original use-case being that the existing packages are re-installed and not skipped.
Comment 4 Jeff Johnson 2010-06-05 12:11:32 EDT
Yes, --freshen will skip uninstalled, while --replacepkgs will re-install already installed,
leaving the corner case of what to do with --freshen if "same" package is claimed to
be already installed.

The reason for the corner case is that already installed packages might be
modified and its not clear whether "skipping" or "re-installing" is the desired intent.

FWIW, I suspect (unchecked, just I know the code) that "--freshen --replacepkgs"
works just like "--update --replacepkgs" but will also skip uninstalled packages.
Comment 5 Bug Zapper 2011-06-02 08:16:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2012-08-07 15:39:26 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.